#! /bin/bash


###############################
# Include header first, it exports common variables
. ./header.sh "Network Address"


IP_ADDRESS=$(ifconfig eth0 | sed -n 's/inet addr:\(.*\)  Bcast.*/\1/p')
NETMASK=$(ifconfig eth0 | sed -n 's/inet addr:.*  Mask:\(.*\)$/\1/p')
DISABLED=disabled
DISABLED=style


###############################
#
# IP Address form
#
printf "
<form method='post' action='set-ip-addr.sh'>
	IP Address: <br/>
	<input type='text' name='ip_addr' value='%s' %s /><br/>
	Netmask: <br/>
	<input type='text' name='netmask' value='%s' %s /><br/><br/>
	<input type='submit' value='Apply' %s /><br/><br/>
<form/>
" "${IP_ADDRESS}" "${DISABLED}" "${NETMASK}" "${DISABLED}" "${DISABLED}"


. ./footer.sh



