#!/bin/bash


###############################
# Include header first, it exports common variables
. ./header.sh "Network Name"


###############################
#
# Parse posted data
#
. ./parse-html.sh

# Expecting to have received ${name}


###############################
#
# Store supplied NAME
#
grep -q console_name ${MANTRA_INI}
if [ $? -eq 0 ]; then
	sed -i "s/console_name=.*/console_name=${name}/" ${MANTRA_INI}
else
	grep -q -F '[Settings]' ${MANTRA_INI}
	if [ ! $? -eq 0 ]; then
		echo '[Settings]' >> ${MANTRA_INI}
	fi
	echo console_name=${name} >> ${MANTRA_INI}
fi


###############################
#
# Content
#
printf '
Network Name set successfully to %s. <p/>

<a href="main.sh">Back to Settings</a>
' ${name}



. ./footer.sh
