#! /bin/bash


###############################
# Include header first, it exports common variables
. ./header.sh "Time Zone"


TIME_ZONE=$(sed -n "s/time_zone=\(.*\)$/\1/p" ${MANTRA_INI})


###############################
#
# Time Zone entry form
#
printf "Current date/time: %s <br/><br/>" "$(date)"
printf "
<form method='post' action='set-time-zone.sh'>
	Time Zone: <br/>
	<input type='text' name='time_zone' value='%s' /><br/><br/>
	<input type='submit' value='Apply' />
<form/>
" "${TIME_ZONE}"


. ./footer.sh

